Subject: Re: linuxppc trees, what is going on ?

From: Tom Rini <[email-masked]>
Date: Mon, 19 Jan 2004 08:58:01 -0700

On Mon, Jan 19, 2004 at 04:47:58PM +0100, Sven Luther wrote:

> On Mon, Jan 19, 2004 at 08:29:54AM -0700, Tom Rini wrote:
> > > I did pull the linux-2.4 tree, and exported the v2.4.24 tag. I did the
> > > same for the linuxppc-2.4 tree, and diffed the two exported trees. Both
> > > were exactly the same.
> >
> > That is correct. A tag has the same values (set of ChangeSets)
> > regardless of the tree (simpilication).
>
> Ok, how are you then supposed to make a diff of the powerpc relative
> changes ? You use the changeset just above the merge or something ?

The process I described about (that you snipped) is how you find the
ChangeSet of when 'linux-2.4' at a certain point is merged into
'linuxppc-2.4', and that ChangeSet will point to something like 2.4.24 +
powerpc changes.

--
Tom Rini
http://gate.crashing.org/~trini/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/